<!--Бронь маршрута-->
<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}"
      lang="en">
<head>
    <meta charset="UTF-8">
    <title>Users</title>
    <script th:inline="javascript">
        let flag = [[${exception}]];
        window.onload = () => {
            if (flag) new bootstrap.Modal(document.getElementById('deleteErrorModal'), {keyboard: false}).show()
        };
    </script>
</head>
<body>
<div layout:fragment="content">
    <div>
        <hr class="hr"/>
        <h3>User search</h3>
        <form method="POST" th:action="@{/users/search}" th:object="${userSearchForm}">
            <div class="mt-0 row g-2">
                <div class="col-md">
                    <div class="form-floating">
                        <input name="firstName" type="text" class="form-control" id="firstName" placeholder="Name">
                        <label for="firstName">User name</label>
                    </div>
                </div>
                <div class="col-md">
                    <div class="form-floating">
                        <input name="lastName" type="text" class="form-control" id="lastName" placeholder="Lastname">
                        <label for="lastName">User Lastname</label>
                    </div>
                </div>
                <div class="col-md">
                    <div class="form-floating">
                        <input name="login" type="text" class="form-control" id="login" placeholder="Login">
                        <label for="login">User login</label>
                    </div>
                </div>
                <div class="row g-2">
                    <button type="submit" class="btn btn-secondary">Search user</button>
                </div>
            </div>
        </form>
    </div>
    <hr class="mt-3 hr"/>
    <div class="mt-5">
        <div class="row">
            <div class="col">
                <h2>All users</h2>
            </div>
            <div class="col">
                <a sec:authorize="isAuthenticated() && (hasRole('ADMIN'))"
                   href="/users/add-librarian"
                   class="btn btn-success"
                   role="button"
                   style="float: right"
                   aria-disabled="true">Add Librarian</a>
            </div>
        </div>
        <div>
            <table class="table table-hover mt-3">
                <thead>
                <tr>
                    <th scope="col">Login</th>
                    <th scope="col">Name</th>
                    <th scope="col">Lastname</th>
                    <th scope="col">MIdle-name</th>
                    <th scope="col">Email</th>
                    <th scope="col">Day of Birth</th>
                    <th scope="col">Phone number</th>
                    <th scope="col">Banned</th>
                    <th scope="col"></th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="user : ${users}">
                    <td>
                        <a class="text-link text-blue" th:href="'/users/profile/' + ${user.getId()}" th:text="${user.getLogin()}"></a>
                    </td>
                    <td th:text="${user.getFirstName()}"></td>
                    <td th:text="${user.getLastName()}"></td>
                    <td th:text="${user.getMiddleName()}"></td>
                    <td th:text="${user.getEmail()}"></td>
                    <td th:text="${user.getBirthDate()}"></td>
                    <td th:text="${user.getPhone()}"></td>
                    <td th:text="${user.isDeleted()} ? 'Yse' : 'No'"></td>
                    <td>
                        <div sec:authorize="isAuthenticated() && (hasRole('ADMIN'))">
                            <a th:if="${!user.isDeleted()}" class="btn btn-sm btn-outline-danger" th:href="'/users/delete/' + ${user.getId()}"
                               onclick="return confirm('Do you really want to delete a user?');">Удалить</a>
                            <a th:if="${user.isDeleted()}" class="btn btn-sm btn-outline-warning" th:href="'/users/restore/' + ${user.getId()}">Recovery</a>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
    <!--Модальное окно для ошибок старт-->
    <div th:if="${exception != null && exception != ''}" class="modal fade" id="deleteErrorModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Error</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" th:text="${exception}">
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Ok</button>
                </div>
            </div>
        </div>
    </div>
    <!--Модальное окно для ошибок конец-->
    <nav aria-label="Pagination" th:if="${users.totalPages gt 0}">
        <ul class="pagination justify-content-center font-weight-bold">
            <li class="page-item" th:classappend="${users.number eq 0} ? 'disabled'">
                <a class="page-link"
                   th:href="@{/users/list?page={id}(id=${users.number lt 2 ? 1 : users.number})}"
                   aria-label="Previous" title="Previous Page" data-toggle="tooltip">
                    <span aria-hidden="true">&laquo;</span>
                </a>
            </li>
            <li class="page-item" th:classappend="${i eq users.number + 1} ? 'active'"
                th:each="i : ${#numbers.sequence( 1, users.totalPages, 1)}">
                <a class="page-link" th:href="@{/users/list?page={id}(id=${i})}" th:text="${i}"
                   th:title="${'Page '+ i}" data-toggle="tooltip"></a>
            </li>
            <li class="page-item" th:classappend="${users.number eq users.totalPages - 1} ? 'disabled'">
                <a class="page-link"
                   th:href="@{/users/list?page={id}(id=${users.number + 1})}"
                   aria-label="Next" title="Next Page" data-toggle="tooltip">
                    <span aria-hidden="true">&raquo;</span>
                </a>
            </li>
        </ul>
    </nav>
</div>
</body>
</html>
